#ifndef _KGR_PATCH_BSC1190350_H
#define _KGR_PATCH_BSC1190350_H

int kgr_patch_bsc1190350_init(void);
void kgr_patch_bsc1190350_cleanup(void);


struct net;
struct sk_buff;
struct tcf_proto;
struct nlattr;

int kgrp_route4_change(struct net *net, struct sk_buff *in_skb,
		       struct tcf_proto *tp, unsigned long base,
		       u32 handle,
		       struct nlattr **tca,
		       unsigned long *arg, bool ovr);

#define KGR_PATCH_BSC1190350_FUNCS					\
	KGR_PATCH_OBJ(route4_change, kgrp_route4_change, "cls_route"),	\

#endif /* _KGR_PATCH_BSC1190350_H */
